Skip to main content

Search providers

GET /api/v1/config/providers/search

Search for LLM providers with pagination and filtering. Returns a paginated list of providers extracted from the available models. Each provider indicates whether it is verified by Faheem Code.

Parameters​

NameInTypeRequiredDescription
page_idquery`stringnull`no
limitqueryintegerno—
queryquery`stringnull`no
verified__eqquery`booleannull`no

Responses​

StatusDescription
200Successful Response
422Validation Error

Response body​

FieldTypeRequiredDescription
itemsProvider[]yes—
next_page_id`stringnull`no

Operation ID: search_providers_api_v1_config_providers_search_get